OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepRepr

# StepRepr_MaterialDesignation Class Reference

`#include <StepRepr_MaterialDesignation.hxx>`

## Public Member Functions
Standard_EXPORT | StepRepr_MaterialDesignation ()
Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const StepRepr_CharacterizedDefinition &aOfDefinition)
Standard_EXPORT void | SetName (const Handle(TCollection_HAsciiString)&aName)
Standard_EXPORT Handle_TCollection_HAsciiString | Name () const
Standard_EXPORT void | SetOfDefinition (const StepRepr_CharacterizedDefinition &aOfDefinition)
Standard_EXPORT StepRepr_CharacterizedDefinition | OfDefinition () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_TCollection_HAsciiString | name
StepRepr_CharacterizedDefinition | ofDefinition

## Constructor & Destructor Documentation

Standard_EXPORT StepRepr_MaterialDesignation::StepRepr_MaterialDesignation | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepRepr_MaterialDesignation::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void StepRepr_MaterialDesignation::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const StepRepr_CharacterizedDefinition & | aOfDefinition
| ) |

Standard_EXPORT Handle_TCollection_HAsciiString StepRepr_MaterialDesignation::Name | ( |  | ) | const

Standard_EXPORT StepRepr_CharacterizedDefinition StepRepr_MaterialDesignation::OfDefinition | ( |  | ) | const

Standard_EXPORT void StepRepr_MaterialDesignation::SetName | ( | const Handle(TCollection_HAsciiString)& | aName | ) |

Standard_EXPORT void StepRepr_MaterialDesignation::SetOfDefinition | ( | const StepRepr_CharacterizedDefinition & | aOfDefinition | ) |

## Field Documentation

Handle_TCollection_HAsciiString StepRepr_MaterialDesignation::name`[private]`

StepRepr_CharacterizedDefinition StepRepr_MaterialDesignation::ofDefinition`[private]`

The documentation for this class was generated from the following file:

- StepRepr_MaterialDesignation.hxx